  {
    onModifyMovePriority: -2,
    onModifyMove(move) {
      if (move.secondaries) {
        this.debug("doubling secondary chance");
        for (const secondary of move.secondaries) {
          if (secondary.chance)
            secondary.chance *= 2;
        }
      }
      if (move.self?.chance)
        move.self.chance *= 2;
    },
	onSwitchOut(pokemon) {
      if (pokemon.species.id === "meloettadeltaallegro"){
        pokemon.formeChange("meloettadelta", this.effect, true);
      }
    },
    flags: {},
    name: "hatsune",
    rating: 3.5,
    num: -202
  }